PYSQUASHFS(1)

NAME
pysquashfs - inspect and extract SquashFS 4.0 images

SYNOPSIS
pysquashfs list [options] file
pysquashfs extract [options] file
pysquashfs scan [options] file
pysquashfs -V | --version

DESCRIPTION
pysquashfs is a command-line tool for reading SquashFS 4.0 little-endian images.

It provides three subcommands:

list
    List the contents of a filesystem image.

extract
    Extract files or directories from an image.

scan
    Search a file for SquashFS 4.0 superblocks.

OPTIONS

-V, --version
    Show the program version and exit.

  list

-o, --offset OFFSET
    Absolute position of the filesystem start. Default is 0.

--utc
    Display times in UTC.

--showtz
    Show the UTC offset when displaying time.

-p, --path PATH
    Absolute path of a directory or file to list. Default is /.

-r, --recursive
    List recursively.

-t, --type TYPE...
    Filter entries by file type. Valid values are one or more of fdlpsbc.

  extract

-o, --offset OFFSET
    Absolute position of the filesystem start. Default is 0.

-d, --dest DIR
    Destination directory for extracted files. Default is the current directory.

-p, --path PATH
    Absolute path of a directory or file to extract. Default is /.

-f, --force
    Overwrite files that already exist.

-q, --quiet
    Do not print extraction status.

  scan

--utc
    Display times in UTC.

--showtz
    Show the UTC offset when displaying time.

ARGUMENTS

file
    Path to the SquashFS image or input file to inspect.

EXIT STATUS
0 on success, non-zero on error.

EXAMPLES
List the root of an image:

pysquashfs list image.squashfs

Extract a directory:

pysquashfs extract -p /etc image.squashfs

Scan a file for superblocks:

pysquashfs scan image.bin